Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Berkeley DB Java Edition version 4.0.103
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sleepycat.je.rep
Class ReplicationGroup

    java.lang.Object
      com.sleepycat.je.rep.ReplicationGroup

    public class ReplicationGroup

extends Object

An administrative view of the collection of nodes that form the replication group. Can be obtained from a `ReplicatedEnvironment` or a `ReplicationGroupAdmin`

Method Summary
`Set<ReplicationNode>` | `getElectableNodes()` Returns the subset of ELECTABLE nodes with replicated environments that can be elected and become masters.
`ReplicationNode` | `getMember(String nodeName)` Get administrative information about a node by its node name.
`Set<ReplicationNode>` | `getMonitorNodes()` Returns the subset of monitor nodes.
`String` | `getName()` Returns the name associated with the group.
`Set<ReplicationNode>` | `getNodes()` Returns administrative information for all the nodes in the group.
`String` | `toString()` Returns a formatted version of the information held in a ReplicationGroup.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### getName

    public String getName()

  Returns the name associated with the group.

  Returns:
    the name of the replication group.

### getNodes

    public Set<ReplicationNode> getNodes()

  Returns administrative information for all the nodes in the group. This includes both MONITOR and ELECTABLE nodes.

  Returns:
    the set of nodes comprising the group.
  See Also:
    `NodeType`

### getElectableNodes

    public Set<ReplicationNode> getElectableNodes()

  Returns the subset of ELECTABLE nodes with replicated environments that can be elected and become masters. This specifically excludes MONITOR nodes.

  Returns:
    the set of electable nodes.
  See Also:
    `NodeType`

### getMonitorNodes

    public Set<ReplicationNode> getMonitorNodes()

  Returns the subset of monitor nodes.

  Returns:
    the set of monitor nodes.
  See Also:
    `NodeType`

### getMember

    public ReplicationNode getMember(String nodeName)

  Get administrative information about a node by its node name.

  Parameters:
    `nodeName` - the node name to be used in the lookup.
  Returns:
    an administrative view of the node associated with nodeName, or null if there isn't such a node currently in the group.

### toString

    public String toString()

  Returns a formatted version of the information held in a ReplicationGroup.

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Berkeley DB Java Edition version 4.0.103
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2004-2010 Oracle. All rights reserved.